Forgot your password?
typodupeerror

Comment: Slashdot will be dead, too. if they don't fix it (Score 1) 3

by XTaran (#28293583) Attached to: Slashcode is dead, long live Slashcode?

Hi,

I am, no, I was the last packager of Slashcode for Debian. Slashcode is no more packaged for Debian, since it has two big problems:

It doesn't run with Apache 2.x and Apache 1.3 is no more present in many Linux distributions. That's the main reason why it dropped out of Debian, too. 5 years ago a mod_perl 2.0 patch has been posted on Slashcode.com, but it seems as it never got incorporated by Slashcode and Slashcode continued to evolve without Apache 2 compatibility. Two years ago someone submitted a question what's the current state of Slashcode on Apache 2, but this submission seems still pending.

Slashdot.org btw. still runs on Apache 1.3. Probably for the very same reason. They missed that train and I don't want to know what effort it will be today, to move over to Apache 2.0. I expect that even when Slashdot dies, it will die running on a prehistoric Apache 1.3.

The second big problem: There are no official stable releases since many, many years. Only code out of the VCS repository. This also has problems with security fixes. Statements like "all 2.x releases" are affected usually aren't true and you have to check the code yourself if it is affected or not. This drives every distributor crazy.

I don't know how I will proceed with my Slashsite. Probably use the last official stable release 2.2.6 and see if I get it running with Apache 2.2 somehow. Or hope that Slashcode will once run on Apache 2.2 out-of-the-box against all fears. But despite that I'm usually an optimist, I don't expect this to happen.

Prediction is very difficult, especially of the future. - Niels Bohr

Working...